Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.asn1
Class FalconPrivateKey

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.pqc.asn1.FalconPrivateKey

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class FalconPrivateKey
extends ASN1Object

ASN.1 Encoding for a FALCON private key for fully populated: FALCONPrivateKey ::= SEQUENCE { version INTEGER {v2(1)} -- syntax version 2 (round 3) f OCTET STRING, -- short integer polynomial f g OCTET STRING, -- short integer polynomial g f OCTET STRING, -- short integer polynomial F publicKey [0] IMPLICIT FALCONPublicKey OPTIONAL -- see next section }

Constructor Summary
`FalconPrivateKey(int version, byte[] f, byte[] g, byte[] f1)`
`FalconPrivateKey(int version, byte[] f, byte[] g, byte[] f1, FalconPublicKey publicKey)`

Method Summary
`byte[]` | `getf()`
`byte[]` | `getF()`
`byte[]` | `getG()`
`static FalconPrivateKey` | `getInstance(java.lang.Object o)`
`FalconPublicKey` | `getPublicKey()`
`int` | `getVersion()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FalconPrivateKey

    public FalconPrivateKey(int version,
                            byte[] f,
                            byte[] g,
                            byte[] f1,
                            FalconPublicKey publicKey)

### FalconPrivateKey

    public FalconPrivateKey(int version,
                            byte[] f,
                            byte[] g,
                            byte[] f1)

Method Detail

### getVersion

    public int getVersion()

### getf

    public byte[] getf()

### getF

    public byte[] getF()

### getPublicKey

    public FalconPublicKey getPublicKey()

### getG

    public byte[] getG()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### getInstance

    public static FalconPrivateKey getInstance(java.lang.Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD